package com.winsun.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.winsun.bean.NetworkInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.Map;

@Mapper
@Component
public interface NetworkInfoMapper extends BaseMapper<NetworkInfo> {

    Map<String, Object> queryMap(@Param("networkCode") String networkCode);

    int insertMap(Map<String,Object> map);

    int updateMap(Map<String,Object> map);
}
